#include <bits/stdc++.h>
#include <iostream>
int main()
{
    int broj_pozicija, broj_pogodaka,m=0,br=0,z=0;
    scanf("%i%i",&broj_pozicija,&broj_pogodaka);
    int a[broj_pozicija],mesta[broj_pozicija];
    for(int i=0;i<broj_pozicija;i++)
        scanf("%i",&a[i]);
    for(int i=0;i<broj_pozicija;i++)
    {
        br=0;
        for (int j=i+1;j<=broj_pozicija;j++)
        {
            if (a[i]==a[j])
            {
                br++;
                mesta[m]=a[i];
                m++;
            }
            if (br>1)
            {
                br=0;
                mesta[i]=broj_pozicija+1;
            }
            z=z+br;
            br=0;
        }
    }
    printf("\n%i\n",z);
    while (mesta[br]<=broj_pozicija)
    {printf("%i ",mesta[br]);
     br++;}
    return 0;
}